'use client'
import { useSafeQuery } from "@/hooks/use-safe-query";
import { getUsersAction,getProfileAction} from "../actions/actions";

// Hook for users 
export function useUsersQuery(params = {}) {
    return useSafeQuery(['users',params], () =>  getUsersAction(params))
}

export function useUserByProfile() {   
    return useSafeQuery(['users'], () =>  getProfileAction())
}
